Page MenuHomePhabricator

"Donate Image" button shows on Windows Phone 8 (mobile IE 10), but does not work
Closed, ResolvedPublic

Description

The 'Donate Image' button shows on Special:Uploads on Windows Phone 8, but tapping on the button has no effect.

Tested so far in the SDK emulator, not yet on an actual phone -- should double check on real device.

It looks like IE10 on Windows Phone 8 doesn't support file uploads per http://blogs.windows.com/windows_phone/b/wpdev/archive/2012/11/08/internet-explorer-10-brings-html5-to-windows-phone-8-in-a-big-way.aspx

So we should see if there's a clean way to detect it's not supported. <input type="file"> looks like the traditional file input control on Special:Upload but also does nothing when tapped.


Version: unspecified
Severity: normal
URL: http://en.m.wikipedia.org/wiki/Special:Uploads

Details

Reference
bz47374

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:17 AM
bzimport set Reference to bz47374.
brion created this task.Apr 18 2013, 7:28 PM
brion added a comment.Apr 18 2013, 7:40 PM

So I did a little testing under the SDK emulator.

input.disabled is "false" (unlike old iOS which set disabled to true)
input.type is "file" (unlike Firefox OS's attempt to expose disabled inputs by changing their type)
input.readOnly is "false", so that doesn't help
input.files is a FileList object, even though you can't read any files out of it ever because you can't select them.

May just have to blacklist the user-agent. :P

iOS emulator disables file inputs so hopefully this is just a weird emulator oddity ...!

brion added a comment.Apr 19 2013, 5:18 PM

iOS 6.1 simulator seems to work fine; I can click 'donate image' and select something from my gallery successfully...

We'll see when we get our hands on a WP8 device... :)

brion added a comment.Apr 28 2013, 4:42 PM

I picked up a WP8 phone over the weekend, we'll test it later. :D

Confirmed the button shows up but is non-functional on a Nokia Lumia 920. :(

Ergg that's annoying. Will have to borrow your phone to debug this one :)

Related URL: https://gerrit.wikimedia.org/r/63689 (Gerrit Change I4e18b23510df67e2e8131d645184673f419830c4)

https://gerrit.wikimedia.org/r/63689 (Gerrit Change I4e18b23510df67e2e8131d645184673f419830c4) | change APPROVED and MERGED [by Brion VIBBER]